<?php

set_include_path(implode(PATH_SEPARATOR, array(
	dirname(__FILE__) . '/system/classes/dbtables',
	dirname(__FILE__) . '/system/classes/mappers',
	dirname(__FILE__) . '/system/classes/models',
    get_include_path()
)));

class Supportscreencast extends Tools_Plugins_Abstract {

	
	private $_pageUrl = null;
    
	public function  __construct($options, $seotoasterData) {
		parent::__construct($options, $seotoasterData);
        $this->_view->setScriptPath(dirname(__FILE__) . '/views/');
        
    }

	public function run($requestedParams = array()) {
        $this->_requestedParams = $requestedParams;
		$dispatchersResult      = parent::run($requestedParams);
        $this->_view->AdminLogged = Tools_Security_Acl::isAllowed(Tools_Security_Acl::RESOURCE_PLUGINS);
        $pageUrl = str_replace('index.html', '', $this->_seotoasterData['websiteUrl'].$this->_seotoasterData['url']);
        $this->_view->pageUrl = $pageUrl;
        $this->_view->pageId = $this->_seotoasterData['id'];
        $this->_view->translator = $this->_translator;
        $pageId = $this->_seotoasterData['id'];
        $screenWidth = '425';
        $screenHeight = '350';
        if(isset($this->_options[0])){
            $screenWidth = $this->_options[0];
        }
        if(isset($this->_options[1])){
            $screenHeight = $this->_options[1];
        }
        $this->_view->screenWidth = $screenWidth;
        $this->_view->screenHeight = $screenHeight;
        $recording = $this->_request->getParam('recording');
        $viewVideo = $this->_request->getParam('view');
        $scofferId = $this->_request->getParam('skofferid');
        if(isset($recording)){
            if(isset($scofferId)){
                $this->_view->scofferId  = $scofferId;
                $this->_view->screenCastEmail = $this->_sessionHelper->screenCastEmail;
                $this->_view->screenCastSubject = $this->_sessionHelper->screenCastSubject;
                $this->_view->screenCastComment = $this->_sessionHelper->screenCastComment;
                return $this->_view->render('recordingresult.phtml');
            }
            else{
                return $this->_view->render('recording.phtml');
            }
        }
        if(isset($viewVideo) && $scofferId != ''){
            $screenCastParams = SupportscreencastparamsMapper::getInstance();
            $paramModel  = new SupportscreencastparamsModel();
            $this->_view->scofferId = $scofferId;
            $screenCastComments = $screenCastParams->selectComments($scofferId);
            $screenCastSubject = $screenCastParams->selectSubject($scofferId);
            $this->_view->screenCastCommentsView = $screenCastComments;
            $this->_view->screenCastSubjectView = $screenCastSubject;
            return $this->_view->render('viewvideo.phtml');
        }              
    }
	
    public function sendingMailScreenAction(){
        $screenCastEmail = trim($this->_request->getParam('screenCastEmail'));
        $screenCastSubject = trim($this->_request->getParam('screenCastSubject'));
        $screenCastComment = trim($this->_request->getParam('screenCastComment'));
        $scofferId = $this->_request->getParam('scofferId');
        $pageUrl = $this->_request->getParam('pageUrl');
        $screenCastParams = SupportscreencastparamsMapper::getInstance();
        $paramModel  = new SupportscreencastparamsModel();
        $paramModel->setComments($screenCastComment);
        $paramModel->setSubject($screenCastSubject);
        $paramModel->setSkofferid($scofferId);
        $screenCastParams->deleteRecord($scofferId);
        $screenCastParams->save($paramModel);
        $mapperConfig = Application_Model_Mappers_ConfigMapper::getInstance();
        $configParams = $mapperConfig->getConfig();
        $adminEmail  = $configParams['adminEmail'];
        $mail = new Zend_Mail('UTF-8');
        $websiteUrl = $this->_seotoasterData['websiteUrl'];
        $websiteUrl = preg_replace('/http:\/\/|www.|\//', '', $websiteUrl);
        $pageUrl = preg_replace('/.index.html/', '', $pageUrl);
        $problemPage  = $pageUrl.'?view&skofferid='.$scofferId;
        $body = 'Link: '.$problemPage.'<br /><pre>'.$screenCastComment.'</pre>';            
		$mail->setBodyHtml($body);
        $emails = explode(",", $screenCastEmail);
        $mail->setFrom($adminEmail, $websiteUrl);
        foreach($emails as $email){
            $mail->addTo($email, 'Support');
        }
        $subject = 'New support screencast: '.$screenCastSubject;
        $mail->setSubject($subject);
        $resultMail = $mail->send();
        if($resultMail == true){
          echo $problemPage;
        }    
		if($resultMail == false){
           	echo '2';
		}
    }
          
}
